﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@model Models.Frequency
@{
    var title = "Create Frequency";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<form method="post" asp-action="Upsert">
    <div class="row px-2 mx-2 backgroundWhite border">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        @if (Model.Id != 0)
        {
            <input type="hidden" asp-for="Id" />
            title = "Edit Frequency";
        }
        <div class="col-12">
            <h2 class="text-primary">@title</h2>
            <br />
        </div>

        <div class="col-8">
            <div class="form-group row">
                <div class="col-4">
                    <label asp-for="Name"></label>
                </div>
                <div class="col-8">
                    <input asp-for="Name" class="form-control" />
                    <span asp-validation-for="Name" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-4">
                    <label asp-for="FrequencyCount"></label>
                </div>
                <div class="col-8">
                    <input asp-for="FrequencyCount" class="form-control" />
                    <span asp-validation-for="FrequencyCount" class="text-danger"></span>
                </div>
            </div>

            <div class="form-group row">
                <div class="col-8 offset-4">
                    @if (Model.Id != 0)
                    {
                        <partial name="_EditAndBackToListButton" model="Model.Id" />
                    }
                    else
                    {
                        <partial name="_CreateAndBackToListButton" />
                    }

                </div>
            </div>


        </div>
    </div>

</form>